Skip to main content
GET
/
metrics
/
ads
/
creatives
Ad creative performance
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/metrics/ads/creatives \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "totalImpressions": 123,
    "totalClicks": 123,
    "totalSpend": 123,
    "totalConversions": 123,
    "avgCtr": 123,
    "avgRoas": 123,
    "dailyBreakdown": [
      {
        "date": "2023-12-25",
        "impressions": 123,
        "clicks": 123,
        "spend": 123,
        "conversions": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

period
enum<string>
default:30d

Date range preset (default 30d). Overridden by start+end.

Available options:
today,
7d,
30d,
90d,
mtd,
ytd
start
string<date>

Explicit start date (YYYY-MM-DD). Overrides period.

end
string<date>

Explicit end date (YYYY-MM-DD). Overrides period.

ad_creative_id
string<uuid>

Filter to a specific creative

platform
enum<string>

Filter by ad platform

Available options:
google,
meta

Response

Creative performance

success
boolean
required
data
object